GNU bug report logs - #11017
24.0.94; emacs-lock--kill-emacs-query-functions should ding

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Michael Heerdegen <michael_heerdegen@HIDDEN>; dated Thu, 15 Mar 2012 05:14:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 11017 <at> debbugs.gnu.org:


Received: (at 11017) by debbugs.gnu.org; 20 Sep 2020 09:38:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 20 05:38:57 2020
Received: from localhost ([127.0.0.1]:48730 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kJvo9-0006tE-Da
	for submit <at> debbugs.gnu.org; Sun, 20 Sep 2020 05:38:57 -0400
Received: from quimby.gnus.org ([95.216.78.240]:58042)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kJvo7-0006t2-GZ
 for 11017 <at> debbugs.gnu.org; Sun, 20 Sep 2020 05:38:56 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=Vvv7SFDpqH+X+623dwj5MDkjUtbmqCxBibe0aGXHQvI=; b=WY00xIUJR1Nn6OzQVPYZlOqGeW
 PpwKZXhTSdQiV1Mq9WcdLbuXCfei/apFalnN1Sl0cEe5Sq2TISP+L95fJz9pCT6O0ivULxvnY6VUU
 kP/BlDgrwy+/rJmErXoAF9vcrzcDzimwPYpGPNWiJDzK2YqX8QITKGPuACG8uZE7Ld6g=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kJvnz-0005iQ-3v; Sun, 20 Sep 2020 11:38:49 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#11017: 24.0.94; emacs-lock--kill-emacs-query-functions
 should ding
References: <86mx7i79lb.fsf@HIDDEN>
 <CAAeL0SR7t0m1soRU-4+wWkkEGJGh7iRcmYL9NCNex_hborYfyQ@HIDDEN>
 <86obrxuz7p.fsf@HIDDEN> <jwvipi547x2.fsf-monnier+emacs@HIDDEN>
 <CAAeL0STZYpB-zVwEnZ3_pDsJqS+kqLMrszk=C0hg0kh_+HqTHw@HIDDEN>
 <jwvk42hjptv.fsf-monnier+emacs@HIDDEN>
 <CAAeL0STBUqGgbemeb5EEsbEjwfBnymZ2WXYVfnfJL=PgzXFGrg@HIDDEN>
 <CAAeL0SSsox7R2SHv0htJqw+gZ=ip9_7bbcnRD+htWtOXiMH4xg@HIDDEN>
 <86fwc740a1.fsf@HIDDEN>
 <CAAeL0SSTTdz7BwVBSgaJjYpOEfNJ5s=Suy0XZinyuC4rKAvUcQ@HIDDEN>
 <87eemxq0a2.fsf@HIDDEN> <87363dxul6.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAJ1BMVEX8/P3U19a7xcyp
 u8yVoqlpZ1OIhnGZrsR6kKJKSDY2MiUsKBr///9fa0aiAAAAAWJLR0QMgbNRYwAAAAd0SU1FB+QJ
 FAkKHHJV3scAAAGoSURBVDjLpdJBT8IwFADgdgG5roKJR5EL3oRi5lFjRfBMlwwvHmAJR7OY+ANI
 wLs16e47rPwCtz/n6zZgHcGL79BDv76+vNcitA0bHQlC7GNgndrIthHBCBtgdWi75rpzl3NeSsZN
 Smn7hM9934BmAPu0X+d5bAEP1g8a3nJw/QKs0XIUUAfgKgN/B0sGMICrxvlNswIwgL6JOkWJbQZi
 jGUw4J40in+wpwxuOZcQe+iyVQ5CH5fc3cJ5ATcir7GDBsvaoO+y0mBjqcGhYylMsDIY0M8q4HU2
 qkNAo8DROYsD+KAUchxPChDQHXTziXhSqdjIaBUTmSqlRBkax8CC7eDS4iFAVAYc0D4hNR5N8yJ7
 WPUwISdciArof2jjOr+fPCsFcFH6PnjWO+P3dj0xMwjBQ9eff7U7jz9GDQD4af53i40j4yobaeBs
 KBLowyvVQBgOvrxOZ2EMr14BL/xiVqjiCkgRqk3Ugt5lWAZLwmhV6MESmxDrQalELxVQ+7guQ2l/
 c/c/SP7MSNKkCjjrwIXX3VQywjRNo8lwkcReamTwfRjT/Xf8AmV088BEgwQVAAAAJXRFWHRkYXRl
 OmNyZWF0ZQAyMDIwLTA5LTIwVDA5OjEwOjI4KzAwOjAwMTL32gAAACV0RVh0ZGF0ZTptb2RpZnkA
 MjAyMC0wOS0yMFQwOToxMDoyOCswMDowMEBvT2YAAAAASUVORK5CYII=
X-Now-Playing: Andrew Poppy's _On Zang Tuum Tumb (2): Alphabed (a mystery
 dance)_: "East Fragment"
Date: Sun, 20 Sep 2020 11:38:45 +0200
In-Reply-To: <87363dxul6.fsf@HIDDEN> (Michael Heerdegen's message of "Sun, 20
 Sep 2020 00:36:21 +0200")
Message-ID: <87imc8ss7u.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Michael Heerdegen <michael_heerdegen@HIDDEN> writes: > Lars
 Ingebrigtsen <larsi@HIDDEN> writes: > >> > - Optionally, let the user enter
 a short note of why he has locked the >> > buffer. Print this when the user
 tries to kill the buffer/ Emacs. >> > H [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 11017
Cc: Juanma Barranquero <lekktu@HIDDEN>, 11017 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Michael Heerdegen <michael_heerdegen@HIDDEN> writes:

> Lars Ingebrigtsen <larsi@HIDDEN> writes:
>
>>   > - Optionally, let the user enter a short note of why he has locked the
>>   >   buffer.  Print this when the user tries to kill the buffer/ Emacs.
>>   >   Helpful as reminder for people who run Emacs for several days.
>>
>> It doesn't look like this was implemented?  But it does sound kinda
>> useful...  would `M-x lock-buffer' just prompt for a reason?
>
> I would say it would do that when called interactively with a prefix
> arg.

Sure; makes sense.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11017; Package emacs. Full text available.

Message received at 11017 <at> debbugs.gnu.org:


Received: (at 11017) by debbugs.gnu.org; 19 Sep 2020 22:36:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 19 18:36:30 2020
Received: from localhost ([127.0.0.1]:48392 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kJlT4-0007YO-Lq
	for submit <at> debbugs.gnu.org; Sat, 19 Sep 2020 18:36:30 -0400
Received: from mout.web.de ([212.227.17.11]:49743)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1kJlT2-0007YA-P7
 for 11017 <at> debbugs.gnu.org; Sat, 19 Sep 2020 18:36:29 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1600554982;
 bh=W8b0FlW6r1bWCPKXE89BQ48bwrnsrj0US5nS9Y5DO48=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=dNSDjJToK7X+KxYA97U4wAh3ia4naFqES20MqfMjuBbLKyTZk+uE93v9TiQeERDzS
 FArO/528fKl2J64vyT/18wxMp+rZCDbqSArE76Aq2Z3OxYCZ9XKioM2rCX6AnofUuf
 TiahFKoL9/RpGLlKk4smcAT3FrECxfDR6Ty0IhL0=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([94.218.220.78]) by smtp.web.de (mrweb103
 [213.165.67.124]) with ESMTPSA (Nemesis) id 0MPYJJ-1kOSIh0zwH-004o0S; Sun, 20
 Sep 2020 00:36:22 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#11017: 24.0.94; emacs-lock--kill-emacs-query-functions
 should ding
References: <86mx7i79lb.fsf@HIDDEN>
 <CAAeL0SR7t0m1soRU-4+wWkkEGJGh7iRcmYL9NCNex_hborYfyQ@HIDDEN>
 <86obrxuz7p.fsf@HIDDEN> <jwvipi547x2.fsf-monnier+emacs@HIDDEN>
 <CAAeL0STZYpB-zVwEnZ3_pDsJqS+kqLMrszk=C0hg0kh_+HqTHw@HIDDEN>
 <jwvk42hjptv.fsf-monnier+emacs@HIDDEN>
 <CAAeL0STBUqGgbemeb5EEsbEjwfBnymZ2WXYVfnfJL=PgzXFGrg@HIDDEN>
 <CAAeL0SSsox7R2SHv0htJqw+gZ=ip9_7bbcnRD+htWtOXiMH4xg@HIDDEN>
 <86fwc740a1.fsf@HIDDEN>
 <CAAeL0SSTTdz7BwVBSgaJjYpOEfNJ5s=Suy0XZinyuC4rKAvUcQ@HIDDEN>
 <87eemxq0a2.fsf@HIDDEN>
Date: Sun, 20 Sep 2020 00:36:21 +0200
In-Reply-To: <87eemxq0a2.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Sat,
 19 Sep 2020 17:00:37 +0200")
Message-ID: <87363dxul6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:2H27agCYSFV/0W1UNvlTvBjCoFvM11EMAJQ0rElQEsCbCEds/zj
 qfZk6jimhg3hIl33erkNXVShTdf3/46qeW5siBPWZmgIEJXLHg+f/r1k4McpF31gLb1G5bt
 ujQdITKjvj9IvM5bdNlXTs+AS9oXgQhSLyHrGcSSPWbBiHo9YVpaINeq/ATLOVl53oe1rpn
 RhZDKN+PExO7yn4GpsxhQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:ZHct3T0VxD4=:EZIWr0S8xfIILs+YnpSDmM
 x/LKj33ubAygb1+06ByxlsRIOrmQ8A8Mf4cifzQe8c9+XL3MLa8/omZjDxATX3UUSZ11od2GW
 8VLX+PYXAUCZVGX+dGUe0DrTLKrVlcfGOWZXo/BCm1/9hVQ46IlmZJlKaNhCwirL2aigMLbIr
 2+v8jIVsJpRBvCunXG27qpzxYs7nkyKJP7ZvAD0QGiFoTfKS/u154/6Nd5ydo5vXzSRo8PVyV
 XAG2XNflqRHSZFht2EdI7/tLGkZYwE5kzvu/Z95jgYoIjZ7+f+JbYwGOiSGRHjzfLCi+iHFYJ
 VHH0HP2GYkJ3QRWApkrdoEcuZkeKZmzhY+3p6/MhpRtcOQg5x5MmZt0aiMgA4vbiJleEiSXV/
 fBV4Xd5dfzHDeEVlof77gAW04ZQqXOCZxfjW0o88Y/0+1psAJDOIh5xW3iIHInukPTFRTjhUq
 1Y/bEZsUx6jD3WqUe70F1eC1KYKUYZQCAk9SbK3DFwdcs+UoVywSmYMI827O+3cMNutZepCNP
 y8NUMEgbJS0Iu2F0okduIf8CoD3zmSguN7hHNLfVwdVfcbuXgHuYtg9v75N+t3+v/31MYhMo4
 a5epvxxqU7gS4KpUBNOwBsvr5a3SsbKJ7ShhW0i3G6LWWkaWmB1kUnwA9g12iDzbYcqRCDNBP
 5OPNCfBi1wQvjv/n90yFKA9jtTzHqiUJJoOkSJcOSFMd8GPPoPF2xBuPc5/Ao/S2hatdwxM90
 +QBn5pbsgdCXGFRajNZIw5Sa+683txs5HPPJY7Fax1YKhgtNPTEYncAMh/yHJkAamh9g/A5fj
 x5k6M41V67ulgSWmZsDBAZRDdSinfssk5r4o3MgoQeG0MCmsnfWHgrmJAG+dBtdnQnAvkuF/w
 rHalZLRxq+Sh8pVwKksrTUIwQiAwsUMwj5Rs19569vAJf9953r6u7HmP7jCOcZ0Pv7toArlqP
 GeJi+/oa/+zRmzvCQk11UO8nt4uVM1PlgZylF/O0NtFI9XzRW9MjYOZAazmeXOn1ag4odnHNF
 si8+IJyFNC0JOROCp+Hda8WBF9NR5Im3UIrs75bxQ3nbImEYOPUphyrmEKv0iTX/suGjzy4kz
 W8AkRbS7tnrFSeFHJFVPXwIKHLPxufEoGj6nvm5tHEikFtyUq3bzaEnbYn14a5ZXvcEakpHs0
 hhIu2uNjEKW/MC3TzFkojqTZrmMYCe4xRRR8HXfJVIURfhP0pQ/nbTGofEm6KhWkGfwbu1niQ
 oElwkeqvSN/UBltITUEoSNyowue9MQPUpGnuouw==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 11017
Cc: Juanma Barranquero <lekktu@HIDDEN>, 11017 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

>   > - Optionally, let the user enter a short note of why he has locked the
>   >   buffer.  Print this when the user tries to kill the buffer/ Emacs.
>   >   Helpful as reminder for people who run Emacs for several days.
>
> It doesn't look like this was implemented?  But it does sound kinda
> useful...  would `M-x lock-buffer' just prompt for a reason?

I would say it would do that when called interactively with a prefix
arg.

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11017; Package emacs. Full text available.

Message received at 11017 <at> debbugs.gnu.org:


Received: (at 11017) by debbugs.gnu.org; 19 Sep 2020 15:00:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 19 11:00:50 2020
Received: from localhost ([127.0.0.1]:47789 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kJeM6-00074s-J1
	for submit <at> debbugs.gnu.org; Sat, 19 Sep 2020 11:00:50 -0400
Received: from quimby.gnus.org ([95.216.78.240]:41460)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kJeM4-0006xA-8j
 for 11017 <at> debbugs.gnu.org; Sat, 19 Sep 2020 11:00:48 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=qWAzv/HNwLtwlyQreoo6atPW96tkpT1IGXQbx/l0wQc=; b=rBRKApc8QnZxD6L3ghL28nwffb
 7fIqUqjVM91wARAIt4ihjB5A4fNu152Yok7fyJ5Ex0Edama6uhYmKWFMCsrlw4hHyKoIw+PVuuPrx
 AW6bxZPHaau8RPXWrYUMNMZpsX24Psq3lmwdb2mbXyLANonBjNbZ/G/Okg9KPfvEmTjA=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kJeLu-0005sO-88; Sat, 19 Sep 2020 17:00:41 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Juanma Barranquero <lekktu@HIDDEN>
Subject: Re: bug#11017: 24.0.94; emacs-lock--kill-emacs-query-functions
 should ding
References: <86mx7i79lb.fsf@HIDDEN>
 <CAAeL0SR7t0m1soRU-4+wWkkEGJGh7iRcmYL9NCNex_hborYfyQ@HIDDEN>
 <86obrxuz7p.fsf@HIDDEN> <jwvipi547x2.fsf-monnier+emacs@HIDDEN>
 <CAAeL0STZYpB-zVwEnZ3_pDsJqS+kqLMrszk=C0hg0kh_+HqTHw@HIDDEN>
 <jwvk42hjptv.fsf-monnier+emacs@HIDDEN>
 <CAAeL0STBUqGgbemeb5EEsbEjwfBnymZ2WXYVfnfJL=PgzXFGrg@HIDDEN>
 <CAAeL0SSsox7R2SHv0htJqw+gZ=ip9_7bbcnRD+htWtOXiMH4xg@HIDDEN>
 <86fwc740a1.fsf@HIDDEN>
 <CAAeL0SSTTdz7BwVBSgaJjYpOEfNJ5s=Suy0XZinyuC4rKAvUcQ@HIDDEN>
X-Now-Playing: Propaganda's _A Secret Wish (2)_: "(Echo Of) Frozen Faces"
Date: Sat, 19 Sep 2020 17:00:37 +0200
In-Reply-To: <CAAeL0SSTTdz7BwVBSgaJjYpOEfNJ5s=Suy0XZinyuC4rKAvUcQ@HIDDEN>
 (Juanma Barranquero's message of "Sat, 14 Apr 2012 03:48:10 +0200")
Message-ID: <87eemxq0a2.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Juanma Barranquero <lekktu@HIDDEN> writes: >> Anyway, if
 you have a patch, please send it to the bug's address again. > > I'm going
 to commit the first patch (after -hook -> -functions), and > then I'll work
 on the note patch. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 11017
Cc: Michael Heerdegen <michael_heerdegen@HIDDEN>, 11017 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Juanma Barranquero <lekktu@HIDDEN> writes:

>> Anyway, if you have a patch, please send it to the bug's address again.
>
> I'm going to commit the first patch (after -hook -> -functions), and
> then I'll work on the note patch.

This was eight years ago -- it looks like the patch was applied, but I'm
not sure about the note thing?

  > - Optionally, let the user enter a short note of why he has locked the
  >   buffer.  Print this when the user tries to kill the buffer/ Emacs.
  >   Helpful as reminder for people who run Emacs for several days.

It doesn't look like this was implemented?  But it does sound kinda
useful...  would `M-x lock-buffer' just prompt for a reason?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11017; Package emacs. Full text available.

Message received at 11017 <at> debbugs.gnu.org:


Received: (at 11017) by debbugs.gnu.org; 14 Apr 2012 01:50:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 13 21:50:15 2012
Received: from localhost ([127.0.0.1]:57838 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SIs7z-0002z9-6M
	for submit <at> debbugs.gnu.org; Fri, 13 Apr 2012 21:50:15 -0400
Received: from mail-pb0-f44.google.com ([209.85.160.44]:40868)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <lekktu@HIDDEN>) id 1SIs7x-0002z1-6G
	for 11017 <at> debbugs.gnu.org; Fri, 13 Apr 2012 21:50:13 -0400
Received: by pbbrp16 with SMTP id rp16so2013527pbb.3
	for <11017 <at> debbugs.gnu.org>; Fri, 13 Apr 2012 18:48:51 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=mime-version:in-reply-to:references:from:date:message-id:subject:to
	:cc:content-type:content-transfer-encoding;
	bh=9gmbHpSCp3J6N7U85DI4S8t0P31iOrM37FeLmY/UprE=;
	b=sEjhc5hM9XL/FpJE2V5ZejXAchOks4olOBDGz0Rcpse9fnQ5A2nsAtukEC0CnCc5ow
	ypSh1xragOBD4lkNmZX6SxGSDbJF2KPFwvi4wFJNqxE7q8R3OEEiiH0BiB9TqU1yDSG2
	d8NHOX7K9pxhRU/6De32Vi9TnFFiLRzH4Z5o/BZT01kerSMhAXpx5CAB+1yfUAgUtAVl
	CaJKGUaHCtjP5bt2DE6NUM8PMAAsVAU+8wkvOB2tY/DQJLdGsfovTVqQch0stT3S+red
	GSR9/uv4ix45dH+QIpvXABDElF+Dl1tmOOcm/wSVR0sxLqtGIUXtmsBGljGppfVGB+bX
	VQtw==
Received: by 10.68.202.234 with SMTP id kl10mr8956085pbc.52.1334368130737;
	Fri, 13 Apr 2012 18:48:50 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.142.204.14 with HTTP; Fri, 13 Apr 2012 18:48:10 -0700 (PDT)
In-Reply-To: <86fwc740a1.fsf@HIDDEN>
References: <86mx7i79lb.fsf@HIDDEN>
	<CAAeL0SR7t0m1soRU-4+wWkkEGJGh7iRcmYL9NCNex_hborYfyQ@HIDDEN>
	<86obrxuz7p.fsf@HIDDEN> <jwvipi547x2.fsf-monnier+emacs@HIDDEN>
	<CAAeL0STZYpB-zVwEnZ3_pDsJqS+kqLMrszk=C0hg0kh_+HqTHw@HIDDEN>
	<jwvk42hjptv.fsf-monnier+emacs@HIDDEN>
	<CAAeL0STBUqGgbemeb5EEsbEjwfBnymZ2WXYVfnfJL=PgzXFGrg@HIDDEN>
	<CAAeL0SSsox7R2SHv0htJqw+gZ=ip9_7bbcnRD+htWtOXiMH4xg@HIDDEN>
	<86fwc740a1.fsf@HIDDEN>
From: Juanma Barranquero <lekktu@HIDDEN>
Date: Sat, 14 Apr 2012 03:48:10 +0200
Message-ID: <CAAeL0SSTTdz7BwVBSgaJjYpOEfNJ5s=Suy0XZinyuC4rKAvUcQ@HIDDEN>
Subject: Re: bug#11017: 24.0.94;
	emacs-lock--kill-emacs-query-functions should ding
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 11017
Cc: 11017 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

On Sat, Apr 14, 2012 at 02:36, Michael Heerdegen
<michael_heerdegen@HIDDEN> wrote:

> However, should `emacs-lock-locked-buffer-hook' not better be named
> `...-functions' or so?

Yes, indeed. My mistake.

> Mmh, the prefix arg of `emacs-lock-mode' is already used for the locking
> mode. =C2=A0So we'll probably need a separate command that reads the note
> text and saves it to a buffer local variable and maybe a user option
> that controls if this command is run automatically by emacs-lock-mode.

Yes. I initially thought that the separate command was unnecessary
(just e-l-m asking whenever the user option is t), but then it
wouldn't be possible to reset or modify the note.

> Anyway, if you have a patch, please send it to the bug's address again.

I'm going to commit the first patch (after -hook -> -functions), and
then I'll work on the note patch.

=C2=A0 =C2=A0 Juanma




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11017; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Apr 2012 00:32:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 13 20:32:07 2012
Received: from localhost ([127.0.0.1]:57824 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SIquL-0001DP-RW
	for submit <at> debbugs.gnu.org; Fri, 13 Apr 2012 20:32:07 -0400
Received: from eggs.gnu.org ([208.118.235.92]:58004)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1SIquJ-0001DH-LS
	for submit <at> debbugs.gnu.org; Fri, 13 Apr 2012 20:32:04 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1SIqsy-0006rG-Jb
	for submit <at> debbugs.gnu.org; Fri, 13 Apr 2012 20:30:42 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-6.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	RCVD_IN_DNSWL_HI autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:36940)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1SIqsy-0006r4-GI
	for submit <at> debbugs.gnu.org; Fri, 13 Apr 2012 20:30:40 -0400
Received: from eggs.gnu.org ([208.118.235.92]:42790)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1SIqsw-000606-SI
	for bug-gnu-emacs@HIDDEN; Fri, 13 Apr 2012 20:30:40 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1SIqsu-0006pW-Tz
	for bug-gnu-emacs@HIDDEN; Fri, 13 Apr 2012 20:30:38 -0400
Received: from fmmailgate04.web.de ([217.72.192.242]:53848)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1SIqsu-0006ot-Jg
	for bug-gnu-emacs@HIDDEN; Fri, 13 Apr 2012 20:30:36 -0400
Received: from moweb002.kundenserver.de (moweb002.kundenserver.de
	[172.19.20.108])
	by fmmailgate04.web.de (Postfix) with ESMTP id 5AB8975D8B6A
	for <bug-gnu-emacs@HIDDEN>; Sat, 14 Apr 2012 02:30:14 +0200 (CEST)
Received: from dragon.dragon ([88.67.107.46]) by smtp.web.de (mrweb002) with
	ESMTPA (Nemesis) id 0MGARb-1SY1ZK1vHz-00FAMj;
	Sat, 14 Apr 2012 02:30:14 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: Re: bug#11017: 24.0.94;
	emacs-lock--kill-emacs-query-functions should ding
References: <86mx7i79lb.fsf@HIDDEN>
	<CAAeL0SR7t0m1soRU-4+wWkkEGJGh7iRcmYL9NCNex_hborYfyQ@HIDDEN>
	<86obrxuz7p.fsf@HIDDEN> <jwvipi547x2.fsf-monnier+emacs@HIDDEN>
	<CAAeL0STZYpB-zVwEnZ3_pDsJqS+kqLMrszk=C0hg0kh_+HqTHw@HIDDEN>
	<jwvk42hjptv.fsf-monnier+emacs@HIDDEN>
	<CAAeL0STBUqGgbemeb5EEsbEjwfBnymZ2WXYVfnfJL=PgzXFGrg@HIDDEN>
	<CAAeL0SSsox7R2SHv0htJqw+gZ=ip9_7bbcnRD+htWtOXiMH4xg@HIDDEN>
Date: Sat, 14 Apr 2012 02:36:38 +0200
In-Reply-To: <CAAeL0SSsox7R2SHv0htJqw+gZ=ip9_7bbcnRD+htWtOXiMH4xg@HIDDEN>
	(Juanma Barranquero's message of "Tue, 10 Apr 2012 16:33:47 +0200")
Message-ID: <86fwc740a1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V02:K0:rIlfe09a4A1NPbfNylRdItN4bBMDrIPm5QnNk9mfEvU
	pPMaQ7MXom4Un8FAFpkyeu4koxiPiSYwFW3MHt+e5HcgwKReL6
	MJO9M97/2eNSKIB7OSJiFdDYt+l1Cr951fcanTX4pdeqjBM3ys
	Y7KoAYN5EpAhBnndCMtdaZiPtLxiJjNXP/5tfp+T83q5FXeWYt
	LswWTmuUmKSbu2hgQG/RdasLhktkYwhHmtFdKPQPVs=
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.4-2.6
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -6.9 (------)
X-Debbugs-Envelope-To: submit
Cc: Juanma Barranquero <lekktu@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.9 (------)

Hello Juanma,

> Michael, this patch adds the hook described above. Could you please
> test it and see whether it works for you use case?

Yes, this looks really good.  With

(add-hook 'emacs-lock-locked-buffer-hook
          (lambda (buffer) (ding) (pop-to-buffer buffer)))

I get all I want.  So, I'm happy with your patch.

However, should `emacs-lock-locked-buffer-hook' not better be named
`...-functions' or so?  Because, from the manual:

|    By convention, abnormal hook names end in `-functions' or `-hooks'.
| If the variable's name ends in `-function', then its value is just a
| single function, not a list of functions.


> As for the note option, I'm thinking about unobtrusive ways to add it.

Mmh, the prefix arg of `emacs-lock-mode' is already used for the locking
mode.  So we'll probably need a separate command that reads the note
text and saves it to a buffer local variable, and maybe a user option
that controls if this command is run automatically by emacs-lock-mode.

Then I would just change the standard messages:

(message "Emacs cannot exit because buffer %S is locked"
               (buffer-name locked))

(message "Buffer %S is locked and cannot be killed" (buffer-name))

to include the note - Just a proposal.

Anyway, if you have a patch, please send it to the bug's address again.


Regards,

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11017; Package emacs. Full text available.

Message received at 11017 <at> debbugs.gnu.org:


Received: (at 11017) by debbugs.gnu.org; 10 Apr 2012 14:35:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 10 10:35:33 2012
Received: from localhost ([127.0.0.1]:48991 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SHcAO-0001sD-UJ
	for submit <at> debbugs.gnu.org; Tue, 10 Apr 2012 10:35:33 -0400
Received: from mail-pb0-f44.google.com ([209.85.160.44]:57298)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <lekktu@HIDDEN>) id 1SHcAM-0001s4-R2
	for 11017 <at> debbugs.gnu.org; Tue, 10 Apr 2012 10:35:31 -0400
Received: by pbbrq13 with SMTP id rq13so37368pbb.3
	for <11017 <at> debbugs.gnu.org>; Tue, 10 Apr 2012 07:34:28 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=mime-version:in-reply-to:references:from:date:message-id:subject:to
	:cc:content-type:content-transfer-encoding;
	bh=nIAYZuK5iym3m2PfEfwPP+xOCFPZOl/ExaZ6qqWHJ/c=;
	b=K6mll2NGBC1iQDA+AhD85/52lZ7i2CddXD87dveptyb4QFjsxTrxz/DZGi7ZuDmZss
	dRyOe+n4AOvhGIBR/IxqMmtz6PyuSe5/uBVT+YJDi55Fmd3ndAkUbou87mbDrmN4lpVh
	fQ9udFlzApCirZ4pKClW7G2/KafNSSSu0NZQq5iXqKN88/Wl6zacITSA7fryYcLyIQtX
	WTxCWksqZvIhpJfkWBeWgPZQYpJNk+jbW/uwoa8BAmhv3QyUruag4XilPSTBVHO9q10M
	lwVivkScbXK7Hx4QZBlDiywitRRr6Mapsd1NI0OOicIbF943KjIOPn3AQY+TLv/elUjn
	1tvA==
Received: by 10.68.221.74 with SMTP id qc10mr6463393pbc.80.1334068468334; Tue,
	10 Apr 2012 07:34:28 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.142.204.14 with HTTP; Tue, 10 Apr 2012 07:33:47 -0700 (PDT)
In-Reply-To: <CAAeL0STBUqGgbemeb5EEsbEjwfBnymZ2WXYVfnfJL=PgzXFGrg@HIDDEN>
References: <86mx7i79lb.fsf@HIDDEN>
	<CAAeL0SR7t0m1soRU-4+wWkkEGJGh7iRcmYL9NCNex_hborYfyQ@HIDDEN>
	<86obrxuz7p.fsf@HIDDEN> <jwvipi547x2.fsf-monnier+emacs@HIDDEN>
	<CAAeL0STZYpB-zVwEnZ3_pDsJqS+kqLMrszk=C0hg0kh_+HqTHw@HIDDEN>
	<jwvk42hjptv.fsf-monnier+emacs@HIDDEN>
	<CAAeL0STBUqGgbemeb5EEsbEjwfBnymZ2WXYVfnfJL=PgzXFGrg@HIDDEN>
From: Juanma Barranquero <lekktu@HIDDEN>
Date: Tue, 10 Apr 2012 16:33:47 +0200
Message-ID: <CAAeL0SSsox7R2SHv0htJqw+gZ=ip9_7bbcnRD+htWtOXiMH4xg@HIDDEN>
Subject: Re: bug#11017: 24.0.94;
	emacs-lock--kill-emacs-query-functions should ding
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 11017
Cc: 11017 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

On Mon, Mar 19, 2012 at 10:04, Juanma Barranquero <lekktu@HIDDEN> wrote:

> Agreed. I have a patch to add a hook, so the user can add ding, or
> pop-to-buffer, or do whatever s/he wants. I think that suffices. I'll
> send it to this bug's thread.

Michael, this patch adds the hook described above. Could you please
test it and see whether it works for you use case?

As for the note option, I'm thinking about unobtrusive ways to add it.

=C2=A0 =C2=A0 Juanma


=3D=3D=3D modified file 'lisp/emacs-lock.el'
--- lisp/emacs-lock.el	2012-01-11 07:48:55 +0000
+++ lisp/emacs-lock.el	2012-04-10 14:28:22 +0000
@@ -81,6 +81,13 @@
   :group 'emacs-lock
   :version "24.1")

+(defcustom emacs-lock-locked-buffer-hook nil
+  "Abnormal hook run when Emacs Lock prevents exiting Emacs, or
killing a buffer.
+The functions get one argument, the first locked buffer found."
+  :type 'hook
+  :group 'emacs-lock
+  :version "24.2")
+
 (defvar emacs-lock-mode nil
   "If non-nil, the current buffer is locked.
 It can be one of the following values:
@@ -119,40 +126,45 @@
              (or (eq unlock 'all) (eq unlock action))))))

 (defun emacs-lock--exit-locked-buffer ()
-  "Return the name of the first exit-locked buffer found."
+  "Return the first exit-locked buffer found."
   (save-current-buffer
     (catch :found
       (dolist (buffer (buffer-list))
         (set-buffer buffer)
         (unless (or (emacs-lock--can-auto-unlock 'exit)
                     (memq emacs-lock-mode '(nil kill)))
-          (throw :found (buffer-name))))
+          (throw :found buffer)))
       nil)))

 (defun emacs-lock--kill-emacs-hook ()
   "Signal an error if any buffer is exit-locked.
 Used from `kill-emacs-hook' (which see)."
-  (let ((buffer-name (emacs-lock--exit-locked-buffer)))
-    (when buffer-name
-      (error "Emacs cannot exit because buffer %S is locked" buffer-name))=
))
+  (let ((locked (emacs-lock--exit-locked-buffer)))
+    (when locked
+      (run-hook-with-args 'emacs-lock-locked-buffer-hook locked)
+      (error "Emacs cannot exit because buffer %S is locked"
+             (buffer-name locked)))))

 (defun emacs-lock--kill-emacs-query-functions ()
   "Display a message if any buffer is exit-locked.
 Return a value appropriate for `kill-emacs-query-functions' (which see)."
   (let ((locked (emacs-lock--exit-locked-buffer)))
-    (or (not locked)
-        (progn
-          (message "Emacs cannot exit because buffer %S is locked" locked)
-          nil))))
+    (if (not locked)
+        t
+      (run-hook-with-args 'emacs-lock-locked-buffer-hook locked)
+      (message "Emacs cannot exit because buffer %S is locked"
+               (buffer-name locked))
+      nil)))

 (defun emacs-lock--kill-buffer-query-functions ()
   "Display a message if the current buffer is kill-locked.
 Return a value appropriate for `kill-buffer-query-functions' (which see)."
-  (or (emacs-lock--can-auto-unlock 'kill)
-      (memq emacs-lock-mode '(nil exit))
-      (progn
-        (message "Buffer %S is locked and cannot be killed" (buffer-name))
-        nil)))
+  (if (or (emacs-lock--can-auto-unlock 'kill)
+          (memq emacs-lock-mode '(nil exit)))
+      t
+    (run-hook-with-args 'emacs-lock-locked-buffer-hook (current-buffer))
+    (message "Buffer %S is locked and cannot be killed" (buffer-name))
+    nil))

 (defun emacs-lock--set-mode (mode arg)
   "Setter function for `emacs-lock-mode'."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11017; Package emacs. Full text available.

Message received at 11017 <at> debbugs.gnu.org:


Received: (at 11017) by debbugs.gnu.org; 19 Mar 2012 09:35:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 19 05:35:25 2012
Received: from localhost ([127.0.0.1]:56459 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1S9Yzs-0000Tu-3v
	for submit <at> debbugs.gnu.org; Mon, 19 Mar 2012 05:35:25 -0400
Received: from mail-pb0-f44.google.com ([209.85.160.44]:62256)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <lekktu@HIDDEN>) id 1S9Yzp-0000Tl-Gx
	for 11017 <at> debbugs.gnu.org; Mon, 19 Mar 2012 05:35:22 -0400
Received: by pbbrq13 with SMTP id rq13so936737pbb.3
	for <11017 <at> debbugs.gnu.org>; Mon, 19 Mar 2012 02:04:51 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=mime-version:in-reply-to:references:from:date:message-id:subject:to
	:cc:content-type:content-transfer-encoding;
	bh=KBq/lsHW17NuIzhodbsQKq8Dd78DJPCXxfaDisn6Oaw=;
	b=NyI9CHbD5iwAcrG/693TgWzFyJT06LcHqSK6pt4l3XLT9WraGX5JwNWvB2qff9cLO6
	AVY3wF1G0SryUoIrr9P0CjZy8gA0OmGyTF/Oitm7Fe5N/fGTUPvke41umPSzkCPKgEOc
	ASDdYRTSJOZM7QzX41596Gyfm7CJqbxXV2YOnWaVtycKtJf3pnCg49Aozkoic4LGKAC6
	k7cO1F4/hxVtkQrDEzxV1LJrY3OROiVOC+JJVP6HChAyAqHfPaab0BCbC3pRolWwUvmq
	szg673jkz9h1EV7bbCtqygiPBjGMyB2Wtw7hIzPxFaguxqqvBpJFEE3ykzNZxeEFtiUK
	QGlw==
Received: by 10.68.125.226 with SMTP id mt2mr37905396pbb.38.1332147891239;
	Mon, 19 Mar 2012 02:04:51 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.143.1.15 with HTTP; Mon, 19 Mar 2012 02:04:10 -0700 (PDT)
In-Reply-To: <jwvk42hjptv.fsf-monnier+emacs@HIDDEN>
References: <86mx7i79lb.fsf@HIDDEN>
	<CAAeL0SR7t0m1soRU-4+wWkkEGJGh7iRcmYL9NCNex_hborYfyQ@HIDDEN>
	<86obrxuz7p.fsf@HIDDEN> <jwvipi547x2.fsf-monnier+emacs@HIDDEN>
	<CAAeL0STZYpB-zVwEnZ3_pDsJqS+kqLMrszk=C0hg0kh_+HqTHw@HIDDEN>
	<jwvk42hjptv.fsf-monnier+emacs@HIDDEN>
From: Juanma Barranquero <lekktu@HIDDEN>
Date: Mon, 19 Mar 2012 10:04:10 +0100
Message-ID: <CAAeL0STBUqGgbemeb5EEsbEjwfBnymZ2WXYVfnfJL=PgzXFGrg@HIDDEN>
Subject: Re: bug#11017: 24.0.94;
	emacs-lock--kill-emacs-query-functions should ding
To: Stefan Monnier <monnier@HIDDEN>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 11017
Cc: Michael Heerdegen <michael_heerdegen@HIDDEN>, 11017 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

On Mon, Mar 19, 2012 at 03:20, Stefan Monnier <monnier@HIDDEN> wr=
ote:

> Oh, I see. =C2=A0Yes, the message is seen OK. =C2=A0And I don't think ema=
cs-lock
> should ding in this case.

Agreed. I have a patch to add a hook, so the user can add ding, or
pop-to-buffer, or do whatever s/he wants. I think that suffices. I'll
send it to this bug's thread.

> =C2=A0Maybe the code running
> kill-emacs-query-functions should ding, on the other hand,

Perhaps, but again, k-e-q-f has been as it is for a long time with no
complains, and the user can always use a before advice. But I'm not
opposed to it.

=C2=A0 =C2=A0 Juanma




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11017; Package emacs. Full text available.

Message received at 11017 <at> debbugs.gnu.org:


Received: (at 11017) by debbugs.gnu.org; 19 Mar 2012 02:50:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 18 22:50:46 2012
Received: from localhost ([127.0.0.1]:56233 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1S9SgH-0007jp-BC
	for submit <at> debbugs.gnu.org; Sun, 18 Mar 2012 22:50:46 -0400
Received: from chene.dit.umontreal.ca ([132.204.246.20]:46339)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <monnier@HIDDEN>) id 1S9SgD-0007jg-Ni
	for 11017 <at> debbugs.gnu.org; Sun, 18 Mar 2012 22:50:43 -0400
Received: from fmsmemgm.homelinux.net (lechon.iro.umontreal.ca
	[132.204.27.242])
	by chene.dit.umontreal.ca (8.14.1/8.14.1) with ESMTP id q2J2KCpE016414; 
	Sun, 18 Mar 2012 22:20:13 -0400
Received: by fmsmemgm.homelinux.net (Postfix, from userid 20848)
	id 7DBB2AE148; Sun, 18 Mar 2012 22:20:10 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Juanma Barranquero <lekktu@HIDDEN>
Subject: Re: bug#11017: 24.0.94;
	emacs-lock--kill-emacs-query-functions should ding
Message-ID: <jwvk42hjptv.fsf-monnier+emacs@HIDDEN>
References: <86mx7i79lb.fsf@HIDDEN>
	<CAAeL0SR7t0m1soRU-4+wWkkEGJGh7iRcmYL9NCNex_hborYfyQ@HIDDEN>
	<86obrxuz7p.fsf@HIDDEN> <jwvipi547x2.fsf-monnier+emacs@HIDDEN>
	<CAAeL0STZYpB-zVwEnZ3_pDsJqS+kqLMrszk=C0hg0kh_+HqTHw@HIDDEN>
Date: Sun, 18 Mar 2012 22:20:10 -0400
In-Reply-To: <CAAeL0STZYpB-zVwEnZ3_pDsJqS+kqLMrszk=C0hg0kh_+HqTHw@HIDDEN>
	(Juanma Barranquero's message of "Fri, 16 Mar 2012 03:30:45 +0100")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.94 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-NAI-Spam-Flag: NO
X-NAI-Spam-Threshold: 5
X-NAI-Spam-Score: 0
X-NAI-Spam-Rules: 1 Rules triggered
	RV4165=0
X-NAI-Spam-Version: 2.2.0.9309 : core <4165> : streams <739068> : uri <1085633>
X-Spam-Score: -3.5 (---)
X-Debbugs-Envelope-To: 11017
Cc: Michael Heerdegen <michael_heerdegen@HIDDEN>, 11017 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.5 (---)

>> Those who don't like dings can customize it with visible-bell and
>> ring-bell-function, so I wouldn't worry too much about it.
> There's a difference between not wanting a ding *ever*, and not
> wanting it in that specific case.
>> But is the message actually visible or does it get immediately
>> overwritten by some other message?
> No, the message is visible.  Try
>   emacs -Q etc\NEWS -f emacs-lock-mode -f save-buffers-kill-terminal

Oh, I see.  Yes, the message is seen OK.  And I don't think emacs-lock
should ding in this case.  Maybe the code running
kill-emacs-query-functions should ding, on the other hand,


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11017; Package emacs. Full text available.

Message received at 11017 <at> debbugs.gnu.org:


Received: (at 11017) by debbugs.gnu.org; 16 Mar 2012 03:01:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 15 23:01:51 2012
Received: from localhost ([127.0.0.1]:52664 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1S8NQN-0002v2-2C
	for submit <at> debbugs.gnu.org; Thu, 15 Mar 2012 23:01:51 -0400
Received: from mail-pz0-f44.google.com ([209.85.210.44]:32805)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <lekktu@HIDDEN>) id 1S8NQB-0002ud-UK
	for 11017 <at> debbugs.gnu.org; Thu, 15 Mar 2012 23:01:49 -0400
Received: by dakl33 with SMTP id l33so5567697dak.3
	for <11017 <at> debbugs.gnu.org>; Thu, 15 Mar 2012 19:31:28 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=mime-version:in-reply-to:references:from:date:message-id:subject:to
	:cc:content-type:content-transfer-encoding;
	bh=bi5lo307fG0zK4Dj/KN2oFrJq6EXgXCRar2Fn2KxF40=;
	b=tmSJEGfnrN18O3mrgqdsB8nbAY+XL3FHJSmEMItZ23dXSVmaOqGD7wjkaj6jtN8YHK
	87Ar/IPo/MAFALLOoCGoefEcfpc1nSyaK0wncInaEAmw9PM1IrekTZf4jDicItywN5Bw
	Un36CdTV9j/ntydGqUcVG2zjr/XDCW+7VRVH7qlDu0B6DpG0E3dLqjb38jFb2dLtTmUA
	AC/aE+phMl2WuT7KjFm2zcxQrMSrAhGcihMIh7MjaSn6oMb/1Bbr0jrda6yWn4pdjlWt
	MvxAlam19EQDOzt14CeMrCBe2Gy5v/wpVFr95E7TsEiRE8qRtv3dkOcCs6V8OYc9njLd
	sa5Q==
Received: by 10.68.225.39 with SMTP id rh7mr9798737pbc.104.1331865085399; Thu,
	15 Mar 2012 19:31:25 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.142.71.15 with HTTP; Thu, 15 Mar 2012 19:30:45 -0700 (PDT)
In-Reply-To: <jwvipi547x2.fsf-monnier+emacs@HIDDEN>
References: <86mx7i79lb.fsf@HIDDEN>
	<CAAeL0SR7t0m1soRU-4+wWkkEGJGh7iRcmYL9NCNex_hborYfyQ@HIDDEN>
	<86obrxuz7p.fsf@HIDDEN> <jwvipi547x2.fsf-monnier+emacs@HIDDEN>
From: Juanma Barranquero <lekktu@HIDDEN>
Date: Fri, 16 Mar 2012 03:30:45 +0100
Message-ID: <CAAeL0STZYpB-zVwEnZ3_pDsJqS+kqLMrszk=C0hg0kh_+HqTHw@HIDDEN>
Subject: Re: bug#11017: 24.0.94;
	emacs-lock--kill-emacs-query-functions should ding
To: Stefan Monnier <monnier@HIDDEN>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 11017
Cc: Michael Heerdegen <michael_heerdegen@HIDDEN>, 11017 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

> Those who don't like dings can customize it with visible-bell and
> ring-bell-function, so I wouldn't worry too much about it.

There's a difference between not wanting a ding *ever*, and not
wanting it in that specific case.

> But is the message actually visible or does it get immediately
> overwritten by some other message?

No, the message is visible. Try

  emacs -Q etc\NEWS -f emacs-lock-mode -f save-buffers-kill-terminal

=C2=A0 =C2=A0 Juanma




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11017; Package emacs. Full text available.
bug Marked as found in versions 24.2. Request was from Juanma Barranquero <lekktu@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Severity set to 'wishlist' from 'minor' Request was from Juanma Barranquero <lekktu@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 11017 <at> debbugs.gnu.org:


Received: (at 11017) by debbugs.gnu.org; 16 Mar 2012 02:57:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 15 22:57:32 2012
Received: from localhost ([127.0.0.1]:52655 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1S8NMB-000211-U5
	for submit <at> debbugs.gnu.org; Thu, 15 Mar 2012 22:57:32 -0400
Received: from mail-pz0-f44.google.com ([209.85.210.44]:50460)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <lekktu@HIDDEN>) id 1S8NM9-00020p-Vw
	for 11017 <at> debbugs.gnu.org; Thu, 15 Mar 2012 22:57:31 -0400
Received: by dakl33 with SMTP id l33so5562992dak.3
	for <11017 <at> debbugs.gnu.org>; Thu, 15 Mar 2012 19:27:18 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=mime-version:in-reply-to:references:from:date:message-id:subject:to
	:cc:content-type:content-transfer-encoding;
	bh=IT7slQDJzPx6L4ZVraSRO0GOOM15LfCI2rgkcgDWLJ4=;
	b=f7DS3Nv0mwOk+sTYALsjw3bQwW8O6OOIhpgDQb5rjdP1ZZqap7IfQNiYuwApmRNkkW
	UDNQS6oEhFVM1j1goiLPZLZb67Ign6Cr2lbv3aOjbbOmRl3pRq2FCVUxOG9Ov9t/KIjb
	gEfh+/8wZj9gxRaalkPmGZKrdtcg49zBqv3A4jaIOZ3DbxFlKdvuacz0kcjc/MoNikJB
	SgiE7kmovUqNaFS3tbbOngPKV8pIvdD8tUGPw6SrNFzbFNAwGrNNMKSTjwcG5QxDTCXN
	vSN4lherlVcXaTwv1N7DUBDb0+06QvaqL7xvzKClR6vHAu3wXqvfsdKXWKqT8Mu2p/dM
	zM2A==
Received: by 10.68.74.197 with SMTP id w5mr9718564pbv.129.1331864838222; Thu,
	15 Mar 2012 19:27:18 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.142.71.15 with HTTP; Thu, 15 Mar 2012 19:26:38 -0700 (PDT)
In-Reply-To: <86obrxuz7p.fsf@HIDDEN>
References: <86mx7i79lb.fsf@HIDDEN>
	<CAAeL0SR7t0m1soRU-4+wWkkEGJGh7iRcmYL9NCNex_hborYfyQ@HIDDEN>
	<86obrxuz7p.fsf@HIDDEN>
From: Juanma Barranquero <lekktu@HIDDEN>
Date: Fri, 16 Mar 2012 03:26:38 +0100
Message-ID: <CAAeL0ST0F05X2E0BDmq=+S6meNyZRSWRT-0gGnF5WdHOW2hkwA@HIDDEN>
Subject: Re: bug#11017: 24.0.94;
	emacs-lock--kill-emacs-query-functions should ding
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 11017
Cc: 11017 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

severity 11017 wishlist
found 11017 24.2
quit


On Fri, Mar 16, 2012 at 02:11, Michael Heerdegen
<michael_heerdegen@HIDDEN> wrote:

> That's why I think it's appropriate here ;-)

Making an obnoxious feature the default wouldn't get much goodwill, I think=
.

> I would appreciate such an option (what do others think?).

IMO, instead of adding an option to call `ding', it would make more
sense to add a hook and let the user decide what do to with it. That's
post 24.1 anyway.

> =C2=A0- when exiting Emacs, and there is a locked buffer, pop it up (beca=
use
> =C2=A0 =C2=A0it's very likely that the user will want to see it next)

Well, I suppose it makes sense as an optional feature, because you
will want to unlock it. In my case, I have bs-show customized to
display the (un)?locked state of buffers and can toggle it from there,
so no need to pop the buffer.

> =C2=A0- Optionally, let the user enter a short note of why he has locked =
the
> =C2=A0 =C2=A0buffer. =C2=A0Print this when the user tries to kill the buf=
fer/ Emacs.
> =C2=A0 =C2=A0Helpful as reminder for people who run Emacs for several day=
s.

Again, it seems useful, post-24.1.

I'm going to turn this into a wishlist, and we can revisit it after the rel=
ease.

=C2=A0 =C2=A0 Juanma




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11017; Package emacs. Full text available.

Message received at 11017 <at> debbugs.gnu.org:


Received: (at 11017) by debbugs.gnu.org; 16 Mar 2012 02:57:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 15 22:57:06 2012
Received: from localhost ([127.0.0.1]:52651 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1S8NLm-00020M-AP
	for submit <at> debbugs.gnu.org; Thu, 15 Mar 2012 22:57:06 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.181]:54082)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <monnier@HIDDEN>) id 1S8NLj-00020F-M5
	for 11017 <at> debbugs.gnu.org; Thu, 15 Mar 2012 22:57:05 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: AicFAKU/KE9soXdS/2dsb2JhbACBX5x7eYhwnhmDH4J6BJsZhAk
X-IronPort-AV: E=Sophos;i="4.73,1,1325480400"; 
   d="scan'208";a="168267037"
Received: from 108-161-119-82.dsl.teksavvy.com (HELO ceviche.home)
	([108.161.119.82])
	by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
	15 Mar 2012 22:26:52 -0400
Received: by ceviche.home (Postfix, from userid 20848)
	id BD058660E0; Thu, 15 Mar 2012 22:26:49 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#11017: 24.0.94;
	emacs-lock--kill-emacs-query-functions should ding
Message-ID: <jwvipi547x2.fsf-monnier+emacs@HIDDEN>
References: <86mx7i79lb.fsf@HIDDEN>
	<CAAeL0SR7t0m1soRU-4+wWkkEGJGh7iRcmYL9NCNex_hborYfyQ@HIDDEN>
	<86obrxuz7p.fsf@HIDDEN>
Date: Thu, 15 Mar 2012 22:26:49 -0400
In-Reply-To: <86obrxuz7p.fsf@HIDDEN> (Michael Heerdegen's message of "Fri, 16
	Mar 2012 02:11:22 +0100")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.93 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 11017
Cc: Juanma Barranquero <lekktu@HIDDEN>, 11017 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

>> A ding is obnoxious to many people.

Those who don't like dings can customize it with visible-bell and
ring-bell-function, so I wouldn't worry too much about it.

> That's why I think it's appropriate here ;-)

I'm not sure I understand what the current behavior is, from what you
say, the situation is rather unusual and warrants trying to get the
user's attention, so maybe a ding is warranted.
But is the message actually visible or does it get immediately
overwritten by some other message?


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11017; Package emacs. Full text available.

Message received at 11017 <at> debbugs.gnu.org:


Received: (at 11017) by debbugs.gnu.org; 16 Mar 2012 01:35:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 15 21:35:35 2012
Received: from localhost ([127.0.0.1]:52584 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1S8M4t-00007S-B8
	for submit <at> debbugs.gnu.org; Thu, 15 Mar 2012 21:35:35 -0400
Received: from fmmailgate05.web.de ([217.72.192.243]:41878)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1S8M4g-00007A-9Q
	for 11017 <at> debbugs.gnu.org; Thu, 15 Mar 2012 21:35:33 -0400
Received: from moweb002.kundenserver.de (moweb002.kundenserver.de
	[172.19.20.108])
	by fmmailgate05.web.de (Postfix) with ESMTP id 5223D6B726B5
	for <11017 <at> debbugs.gnu.org>; Fri, 16 Mar 2012 02:05:10 +0100 (CET)
Received: from dragon.dragon ([94.218.218.48]) by smtp.web.de (mrweb001) with
	ESMTPA (Nemesis) id 0Lk8Ow-1Sj4Gd0XKk-00bxMx;
	Fri, 16 Mar 2012 02:05:09 +0100
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Juanma Barranquero <lekktu@HIDDEN>
Subject: Re: bug#11017: 24.0.94;
	emacs-lock--kill-emacs-query-functions should ding
References: <86mx7i79lb.fsf@HIDDEN>
	<CAAeL0SR7t0m1soRU-4+wWkkEGJGh7iRcmYL9NCNex_hborYfyQ@HIDDEN>
Date: Fri, 16 Mar 2012 02:11:22 +0100
In-Reply-To: <CAAeL0SR7t0m1soRU-4+wWkkEGJGh7iRcmYL9NCNex_hborYfyQ@HIDDEN>
	(Juanma Barranquero's message of "Thu, 15 Mar 2012 13:54:12 +0100")
Message-ID: <86obrxuz7p.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.94 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V02:K0:ZHiWz8ik1lVjBrnbftez+DV6gaVKZeMjjo/LySQ5RsC
	H9WRgQxanWQ0RN6Aao5Wr6LRiYi9D2zb04GIurr6khCpMxPNUM
	ZPOo46DG+V5Yz30/QGC7oTms23hjFVrq2hQ43lVo2zrsO2m59Y
	ica+2a0E5ZVbuiJSgrqx9aGCjSXhOoNSjZO+lWHCoh73bDiyQV
	pogv6fWYMginvBvJuwEyihQOZDUAIVXT5fDcE4KGLg=
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 11017
Cc: 11017 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

Juanma Barranquero <lekktu@HIDDEN> writes:

> > "Buffer %S is locked and cannot be killed"
>
> Really? I get "Emacs cannot exit because buffer %S is locked".

Sorry - I copied the wrong string.


>> [...] So, there should be a (ding) to attract the user's attention.
>
> A ding is obnoxious to many people.

That's why I think it's appropriate here ;-)


> It could be added as an option, but it is not really necessary IMHO.

I would appreciate such an option (what do others think?).


> Getting into the habit of typing without reading what Emac is saying
> is dangerous because you can end typing Y to a question you would've
> rather said N...

Right, no doubt.  Nevertheless, it may happen if you lack in
concentration at the end of your work...  I don't want to argue, we
obviously disagree.  I wrote this report because I thought others could
have the same wish.  Dunno if that's the case.


BTW: I wrote this some time ago:

   http://www.emacswiki.org/emacs/emacs-lock+.el

(Didn't adopt it for Emacs 24 yet.)

I wrote it mainly because of these two features:

  - when exiting Emacs, and there is a locked buffer, pop it up (because
    it's very likely that the user will want to see it next)

  - Optionally, let the user enter a short note of why he has locked the
    buffer.  Print this when the user tries to kill the buffer/ Emacs.
    Helpful as reminder for people who run Emacs for several days.

Maybe you find these useful, dunno - I don't mind if not.


Regards,

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11017; Package emacs. Full text available.

Message received at 11017 <at> debbugs.gnu.org:


Received: (at 11017) by debbugs.gnu.org; 15 Mar 2012 13:25:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 15 09:25:24 2012
Received: from localhost ([127.0.0.1]:51793 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1S8Ag6-000482-Kt
	for submit <at> debbugs.gnu.org; Thu, 15 Mar 2012 09:25:19 -0400
Received: from mail-yx0-f172.google.com ([209.85.213.172]:62055)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <lekktu@HIDDEN>) id 1S8Afs-00047U-BX
	for 11017 <at> debbugs.gnu.org; Thu, 15 Mar 2012 09:25:12 -0400
Received: by yenm5 with SMTP id m5so2937778yen.3
	for <11017 <at> debbugs.gnu.org>; Thu, 15 Mar 2012 05:54:52 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=mime-version:in-reply-to:references:from:date:message-id:subject:to
	:cc:content-type:content-transfer-encoding;
	bh=HXzIte3gIugGpvAVO8V6tbqLdNKNKTNhqKy0U5nvspo=;
	b=BKBw2aTkLjfXoflDU1TukNQ6/JvjyzmrDT8y+MVJClpVkK4YsAFij9Id5je4+gUFiL
	bnsHcmjgFeKnQn+8qgP2xP+lTHYRx/q7N/hA+lpK8Vzhod8BUNH8MLpR6B0QcWaf+r+q
	E9gi7iug9zmLF0DxQa7WkKzll5ioSezWnor+vlrTNK+8xpTWO4mDcBl69t8wTZ1fDlkg
	zKL1j0gVlGXW2rC+5Mg7TF4vRPjnVrO6M7xHWK/69r98SBKAt9nHK6helueM4ElkgtMH
	OMtMa8mRPtCeUYi2QqTMliLG8jfXhpM/3ABWTHs8hD/9IHDv9+lzKvF1ueAqUvId7viV
	QKfA==
Received: by 10.68.229.33 with SMTP id sn1mr5129455pbc.59.1331816092230; Thu,
	15 Mar 2012 05:54:52 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.142.71.15 with HTTP; Thu, 15 Mar 2012 05:54:12 -0700 (PDT)
In-Reply-To: <86mx7i79lb.fsf@HIDDEN>
References: <86mx7i79lb.fsf@HIDDEN>
From: Juanma Barranquero <lekktu@HIDDEN>
Date: Thu, 15 Mar 2012 13:54:12 +0100
Message-ID: <CAAeL0SR7t0m1soRU-4+wWkkEGJGh7iRcmYL9NCNex_hborYfyQ@HIDDEN>
Subject: Re: bug#11017: 24.0.94;
	emacs-lock--kill-emacs-query-functions should ding
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 11017
Cc: 11017 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

On Thu, Mar 15, 2012 at 05:48, Michael Heerdegen
<michael_heerdegen@HIDDEN> wrote:

> if I lock a buffer and try to exit Emacs, I only get a message:
>
> =C2=A0"Buffer %S is locked and cannot be killed"

Really? I get "Emacs cannot exit because buffer %S is locked".

> This is IMHO not enough. =C2=A0If the user tries to exit Emacs while ther=
e
> are locked buffers, he obviously has forgotten about these locks. So,
> there should be a (ding) to attract the user's attention.

A ding is obnoxious to many people. It could be added as an option,
but it is not really necessary IMHO. You can use

(defadvice emacs-lock--kill-emacs-query-functions (around do-ding activate)
  ad-do-it
  (unless ad-return-value (ding)))

(defadvice emacs-lock--kill-emacs-hook (around do-ding activate)
  (condition-case err
      ad-do-it
    (error
     (ding)
     (signal (car err) (cdr err)))))

> Without this, the user will possibly continue saying "yes" to the
> expected questions Emacs typically asks, and accidentally modify some
> buffer, which is annoying.

Getting into the habit of typing without reading what Emac is saying
is dangerous because you can end typing Y to a question you would've
rather said N...

=C2=A0 =C2=A0 Juanma




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11017; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 Mar 2012 05:13:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 15 01:13:06 2012
Received: from localhost ([127.0.0.1]:51364 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1S82zo-0008LO-SA
	for submit <at> debbugs.gnu.org; Thu, 15 Mar 2012 01:13:06 -0400
Received: from eggs.gnu.org ([208.118.235.92]:57437)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1S82za-0008Kl-Pe
	for submit <at> debbugs.gnu.org; Thu, 15 Mar 2012 01:13:01 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1S82WR-0003D4-Gr
	for submit <at> debbugs.gnu.org; Thu, 15 Mar 2012 00:42:44 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-6.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	RCVD_IN_DNSWL_HI autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:58158)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1S82WR-0003D0-Db
	for submit <at> debbugs.gnu.org; Thu, 15 Mar 2012 00:42:43 -0400
Received: from eggs.gnu.org ([208.118.235.92]:48961)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1S82WP-0005ax-Mp
	for bug-gnu-emacs@HIDDEN; Thu, 15 Mar 2012 00:42:42 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1S82WM-0003CO-B9
	for bug-gnu-emacs@HIDDEN; Thu, 15 Mar 2012 00:42:41 -0400
Received: from fmmailgate07.web.de ([217.72.192.248]:35713)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1S82WM-0003C9-4h
	for bug-gnu-emacs@HIDDEN; Thu, 15 Mar 2012 00:42:38 -0400
Received: from moweb002.kundenserver.de (moweb002.kundenserver.de
	[172.19.20.108])
	by fmmailgate07.web.de (Postfix) with ESMTP id E506FE7EFB3
	for <bug-gnu-emacs@HIDDEN>; Thu, 15 Mar 2012 05:42:35 +0100 (CET)
Received: from dragon.dragon ([94.218.218.48]) by smtp.web.de (mrweb001) with
	ESMTPA (Nemesis) id 0LnSKE-1SpcOr2IQQ-00hTJu;
	Thu, 15 Mar 2012 05:42:35 +0100
Date: Thu, 15 Mar 2012 05:48:48 +0100
Message-Id: <86mx7i79lb.fsf@HIDDEN>
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.0.94; emacs-lock--kill-emacs-query-functions should ding
X-Provags-ID: V02:K0:U4GdwTe6kbnOl+CoytDVW+gEzIjZz2DbccbIXS0unxh
	41xLkYPd6Qf9x+0msYRyWdHVQIXmhGPp0b5g++5WEXQwT6GNWB
	YKM6TsoWg3333Y6DLdAUc6P2ld2pNgI6/v2dpqd363kbb1Yzy6
	1fVhHLFowkiU3hIEUQMDxw2cyPqM5vXGXf+5PpzZwF41FN4Hwz
	lHqJMNJFcAju+R196nv+KliGcQPtiN2POdHJA40H0E=
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.4-2.6
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -6.9 (------)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.9 (------)

Hello,

if I lock a buffer and try to exit Emacs, I only get a message:

  "Buffer %S is locked and cannot be killed"

This is IMHO not enough.  If the user tries to exit Emacs while there
are locked buffers, he obviously has forgotten about these locks.  So,
there should be a (ding) to attract the user's attention.

Without this, the user will possibly continue saying "yes" to the
expected questions Emacs typically asks, and accidentally modify some
buffer, which is annoying.


Thanks,

Michael


In GNU Emacs 24.0.94.1 (i486-pc-linux-gnu, GTK+ Version 3.2.3)
 of 2012-03-12 on zelenka, modified by Debian
 (emacs-snapshot package, version 2:20120312-1)
Windowing system distributor `The X.Org Foundation', version 11.0.11103901
Configured using:
 `configure '--build' 'i486-linux-gnu' '--host' 'i486-linux-gnu'
 '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib'
 '--localstatedir=/var' '--infodir=/usr/share/info'
 '--mandir=/usr/share/man' '--with-pop=yes'
 '--enable-locallisppath=/etc/emacs-snapshot:/etc/emacs:/usr/local/share/emacs/24.0.94/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.0.94/site-lisp:/usr/share/emacs/site-lisp'
 '--without-compress-info' '--with-crt-dir=/usr/lib/i386-linux-gnu/'
 '--with-x=yes' '--with-x-toolkit=gtk3' '--with-imagemagick=yes'
 'build_alias=i486-linux-gnu' 'host_alias=i486-linux-gnu'
 'CFLAGS=-DDEBIAN -DSITELOAD_PURESIZE_EXTRA=5000 -g -O2''





Acknowledgement sent to Michael Heerdegen <michael_heerdegen@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#11017; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 20 Sep 2020 09:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.